Name:           humanity-icon-theme
Version:        0.5.3.11
Release:        2%{?dist}
Summary:        Humanity icon theme

Group:          User Interface/Desktops
License:        GPLv2
URL:            https://launchpad.net/humanity/
Source0:        %{name}-%{version}-without-logos.tar.bz2
# Humanity icon theme contains copyrighted Ubuntu logo icons. Therefore we use
# this script to delete these files and remove any reference to the Ubuntu
# trademark before shipping it. Download the upstream tarball and invoke this
# script while in the tarball's directory
Source1:        %{name}-generate-tarball.sh

Requires:       gnome-icon-theme
BuildArch:      noarch

%description
Humanity and Humanity Dark are nice and well polished icon themes for the GNOME
desktop.


%prep
%setup -q -n %{name}

# Delete dead icon symlinks
find -L . -type l -delete


%build


%install
install -dpm 0755 $RPM_BUILD_ROOT%{_datadir}/icons/
cp -a Humanity/ $RPM_BUILD_ROOT%{_datadir}/icons/
cp -a Humanity-Dark/ $RPM_BUILD_ROOT%{_datadir}/icons/

# Remove documentation and license files in theme folders
rm $RPM_BUILD_ROOT%{_datadir}/icons/Humanity/{AUTHORS,CONTRIBUTORS,COPYING}
rm $RPM_BUILD_ROOT%{_datadir}/icons/Humanity-Dark/{AUTHORS,COPYING}


%post
/bin/touch --no-create %{_datadir}/icons/Humanity/ &>/dev/null || :
/bin/touch --no-create %{_datadir}/icons/Humanity-Dark/ &>/dev/null || :


%postun
if [ $1 -eq 0 ]; then
  /bin/touch --no-create %{_datadir}/icons/Humanity/ &>/dev/null
  /usr/bin/gtk-update-icon-cache %{_datadir}/icons/Humanity/ &>/dev/null || :
  /bin/touch --no-create %{_datadir}/icons/Humanity-Dark/ &>/dev/null
  /usr/bin/gtk-update-icon-cache %{_datadir}/icons/Humanity-Dark/ &>/dev/null || :
fi


%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/Humanity/ &>/dev/null || :
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/Humanity-Dark/ &>/dev/null || :


%files
%doc Humanity/{AUTHORS,CONTRIBUTORS,COPYING}
%{_datadir}/icons/Humanity/
%{_datadir}/icons/Humanity-Dark/


%changelog
* Tue Oct 11 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.5.3.11-2
- Repack source to remove copyrighted Ubuntu logos
- Remove dependency on fedora-logos

* Sun Oct 09 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.5.3.11-1
- Initial RPM release
